### Constructor

# Handy ValueObject new_collect

#### Declaration [src]

    HdyValueObject*
    hdy_value_object_new_collect (
      GType type,
      ...
    )

#### Description [src]

Creates a new `HdyValueObject`.

This is a convenience method which uses the `G_VALUE_COLLECT` macro internally.

Available since: | 1.0
This constructor is not directly available to language bindings

#### Parameters

`type` | `GType`
| The type of the value.
`...` | ``
| The value to store.

#### Return value

Returns: | `HdyValueObject`
| A new `HdyValueObject`
| The caller of the function takes ownership of the data, and is responsible for freeing it.